package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * AreaPeriodData对象 area_period_data
 *
 * @author hlf
 * @date 2021-10-27
 */
public class AreaPeriodData extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long areaNo;

    private Date dataTime;

    private Double p;

    private Double windSpeed;

    private Double temp;

    private Long dataFlag;

    public void setAreaNo(Long areaNo) {
        this.areaNo = areaNo;
    }

    public Long getAreaNo() {
        return areaNo;
    }

    public void setDataTime(Date dataTime) {
        this.dataTime = dataTime;
    }

    public Date getDataTime() {
        return dataTime;
    }

    public void setP(Double p) {
        this.p = p;
    }

    public Double getP() {
        return p;
    }

    public void setWindSpeed(Double windSpeed) {
        this.windSpeed = windSpeed;
    }

    public Double getWindSpeed() {
        return windSpeed;
    }

    public void setTemp(Double temp) {
        this.temp = temp;
    }

    public Double getTemp() {
        return temp;
    }

    public void setDataFlag(Long dataFlag) {
        this.dataFlag = dataFlag;
    }

    public Long getDataFlag() {
        return dataFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("areaNo", getAreaNo())
                .append("dataTime", getDataTime())
                .append("p", getP())
                .append("windSpeed", getWindSpeed())
                .append("temp", getTemp())
                .append("dataFlag", getDataFlag())
                .toString();
    }
}
